Generate an AI reply draft for a review
curl --request POST \
--url https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses/generate \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"brand_voice": "<string>",
"language": "<string>",
"regenerate": true,
"selected_staff": {
"firstName": "<string>",
"lastName": "<string>",
"role": "<string>",
"yearsExperience": 123
}
}
'import requests
url = "https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses/generate"
payload = {
"brand_voice": "<string>",
"language": "<string>",
"regenerate": True,
"selected_staff": {
"firstName": "<string>",
"lastName": "<string>",
"role": "<string>",
"yearsExperience": 123
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand_voice: '<string>',
language: '<string>',
regenerate: true,
selected_staff: {
firstName: '<string>',
lastName: '<string>',
role: '<string>',
yearsExperience: 123
}
})
};
fetch('https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand_voice: '<string>',
language: '<string>',
regenerate: true,
selected_staff: {
firstName: '<string>',
lastName: '<string>',
role: '<string>',
yearsExperience: 123
}
})
};
fetch('https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses/generate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'brand_voice' => '<string>',
'language' => '<string>',
'regenerate' => true,
'selected_staff' => [
'firstName' => '<string>',
'lastName' => '<string>',
'role' => '<string>',
'yearsExperience' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"response_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"status": "draft"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Generate an AI reply draft for a review
Generate an AI-written reply draft for a review. Returns the draft text
and a response_id you can later publish.
POST
/
social
/
reviews
/
{id}
/
responses
/
generate
Generate an AI reply draft for a review
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Review id
Body
application/json
Last modified on June 30, 2026
⌘I
